Qt 5.6 | Qt Widgets | C++ Classes | QFontComboBox

Qt 5.6.2 Reference Documentation

# QFontComboBox Class

The QFontComboBox widget is a combobox that lets the user select a font family. More...

Header: | #include <QFontComboBox>
qmake: | QT += widgets
Since: | Qt 4.2
Inherits: | QComboBox

- List of all members, including inherited members

## Public Types

enum | FontFilter { AllFonts, ScalableFonts, NonScalableFonts, MonospacedFonts, ProportionalFonts }
flags | FontFilters

## Properties

- currentFont : QFont
- fontFilters : FontFilters
- writingSystem : QFontDatabase::WritingSystem

- 14 properties inherited from QComboBox
- 58 properties inherited from QWidget

## Public Functions

| QFontComboBox(QWidget *parent = Q_NULLPTR)
| ~QFontComboBox()
QFont | currentFont() const
FontFilters | fontFilters() const
void | setFontFilters(FontFilters filters)
void | setWritingSystem(QFontDatabase::WritingSystem)
QFontDatabase::WritingSystem | writingSystem() const

## Reimplemented Public Functions

virtual QSize | sizeHint() const

- 60 public functions inherited from QComboBox
- 211 public functions inherited from QWidget

## Public Slots

void | setCurrentFont(const QFont &f)

- 5 public slots inherited from QComboBox
- 19 public slots inherited from QWidget

## Signals

void | currentFontChanged(const QFont &font)

- 8 signals inherited from QComboBox
- 3 signals inherited from QWidget

## Protected Functions

bool | event(QEvent *e)

- 15 protected functions inherited from QComboBox
- 35 protected functions inherited from QWidget

### Additional Inherited Members

- 5 static public members inherited from QWidget
- 1 protected slot inherited from QWidget

## Detailed Description

The QFontComboBox widget is a combobox that lets the user select a font family.

The combobox is populated with an alphabetized list of font family names, such as Arial, Helvetica, and Times New Roman. Family names are displayed using the actual font when possible. For fonts such as Symbol, where the name is not representable in the font itself, a sample of the font is displayed next to the family name.

QFontComboBox is often used in toolbars, in conjunction with a QComboBox for controlling the font size and two QToolButtons for bold and italic.

When the user selects a new font, the currentFontChanged() signal is emitted in addition to currentIndexChanged().

Call setWritingSystem() to tell QFontComboBox to show only fonts that support a given writing system, and setFontFilters() to filter out certain types of fonts as e.g. non scalable fonts or monospaced fonts.

See also QComboBox, QFont, QFontInfo, QFontMetrics, QFontDatabase, and Character Map Example.

## Member Type Documentation

### enum QFontComboBox::FontFilter
flags QFontComboBox::FontFilters

This enum can be used to only show certain types of fonts in the font combo box.

Constant | Value | Description
--- | --- | ---
`QFontComboBox::AllFonts` | `0` | Show all fonts
`QFontComboBox::ScalableFonts` | `0x1` | Show scalable fonts
`QFontComboBox::NonScalableFonts` | `0x2` | Show non scalable fonts
`QFontComboBox::MonospacedFonts` | `0x4` | Show monospaced fonts
`QFontComboBox::ProportionalFonts` | `0x8` | Show proportional fonts

The FontFilters type is a typedef for QFlags<FontFilter>. It stores an OR combination of FontFilter values.

## Property Documentation

### currentFont : QFont

This property holds the currently selected font.

Access functions:

QFont | currentFont() const
void | setCurrentFont(const QFont &f)

Notifier signal:

void | currentFontChanged(const QFont &font)

See also currentIndex and currentText.

### fontFilters : FontFilters

This property holds the filter for the combobox.

By default, all fonts are listed.

Access functions:

FontFilters | fontFilters() const
void | setFontFilters(FontFilters filters)

See also writingSystem.

### writingSystem : QFontDatabase::WritingSystem

This property holds the writing system that serves as a filter for the combobox.

If script is QFontDatabase::Any (the default), all fonts are listed.

Access functions:

QFontDatabase::WritingSystem | writingSystem() const
void | setWritingSystem(QFontDatabase::WritingSystem)

See also fontFilters.

## Member Function Documentation

### QFontComboBox::QFontComboBox(QWidget *parent = Q_NULLPTR)

Constructs a font combobox with the given parent.

### QFontComboBox::~QFontComboBox()

Destroys the combobox.

### `[signal]` void QFontComboBox::currentFontChanged(const QFont &font)

This signal is emitted whenever the current font changes, with the new font.

Note: Notifier signal for property currentFont.

See also currentFont.

### `[protected]` bool QFontComboBox::event(QEvent *e)

### `[virtual]` QSize QFontComboBox::sizeHint() const

Reimplemented from QWidget::sizeHint().